Skip to main content
GET
/
workspaces
/
{workspace_id}
/
cases
/
{case_id}
/
comments
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "content": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workflow": {
      "title": "<string>",
      "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alias": "<string>",
      "wf_exec_id": "<string>"
    },
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "settings": {},
      "is_active": true,
      "is_superuser": false,
      "is_verified": false,
      "first_name": "<string>",
      "last_name": "<string>"
    },
    "last_edited_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "is_deleted": false
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid>
required
workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
content
string
required
parent_id
string<uuid> | null
workflow
CaseCommentWorkflowRead · object | null
user
UserRead · object | null
last_edited_at
string<date-time> | null
deleted_at
string<date-time> | null
is_deleted
boolean
default:false